% -------------------------------------------------------------------
%   load_sw08
%
%    load data from sensors on mooring sw08
%
% SW08			82	31 jul 15:46	Structure mooring	
%					39 01.7040  73 04.4520
%	SBE39	318	14	SW08-SBE39-0318.dmp
%	Mini-T	2046	25	SW08-T2046.dat
%	Mini-T	2074	40	SW08-T2074.dat
%						
%						
% 
%
% ------------------------------------------------------------------------

plotem = 1;

SW08.Zsens   = [ 14 25 40];
SW08.dep  = 82.0;
SW08.latd = 39; 
SW08.latm = 01.704; 
SW08.lond = 73; 
SW08.lonm = 04.452;
SW08.type = 'Smoor';
SW08.name = 'SW08'; 
 


% load SW08-SBE39-0318.asc;
S0318 = read_sbe('SW08-SBE39-0318.asc','tp',SW08.name,SW08.Zsens(1));

% load SW08-T2046.asc;
T2046 = read_tpod('SW08-T2046.asc',SW08.name,SW08.Zsens(2));

% load SW08-T2074.asc;
T2074 = read_tpod('SW08-T2074.asc',SW08.name,SW08.Zsens(3));

% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S318.p);
% pdiff = pmean - S318.dep;
%% S318.dep = pmean;

% Use these to sync data...
%% st_date = datenum(2006,7,30,19,20,00);
%% end_date = datenum(2006,9,9,22,20,00);
 
% ndx = find (S318.mday > st_date &  S318.mday < end_date );
% S318.mday = S318.mday(ndx);
% S318.t   = S318.t(ndx);
% S318.p  = S318.p(ndx);

% ndx = find (T2046.mday > st_date &  T2046.mday < end_date );
% T2046.mday = T2046.mday(ndx);
% T2046.t   = T2046.t(ndx);

% ndx = find (T2074.mday > st_date &  T2074.mday < end_date );
% T2074.mday = T2074.mday(ndx);
% T2074.t   = T2074.t(ndx);

% -------------------------------------------------------------------------------
 
save  SW08  SW08 T2074  T2046 S0318;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S0318.mday,S0318.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_0318  Temperature at %6.2fm Z',SW08.type, S0318.moor,S0318.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S0318.mday,S0318.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_0318  Pressure',SW08.type,S0318.moor);
   title(S,'interpreter','none');

 
  figure(2); clf
  plot(T2046.mday,T2046.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2046  Temperature at %6.2fm Z',SW08.type,T2046.moor,T2046.dep);
  title(S,'interpreter','none');
 
  
  figure(3); clf
  plot(T2074.mday,T2074.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2074  Temperature at %6.2fm Z',SW08.type,T2074.moor,T2074.dep);
  title(S,'interpreter','none');
 
end


% --------------------------------------------------------------------------


