% -------------------------------------------------------------------
%   load_sw09
%
%    load data from sensors on mooring sw09
%
% SW09		84.5	31 jul 16:53  Structure mooring  
% 				39 01.940  73 04.2810
%	SBE39	320	14	SW09-SBE39-0320.cap
%	Mini-T	2050	25	SW09-T2050.dat
%	Mini-T	2052	40	SW09-T2052.dat
%									
%						
% 
%
% ------------------------------------------------------------------------


plotem = 1;

SW09.Zsens   = [ 14 25 40 ];
SW09.dep  = 84.5;
SW09.latd = 39; 
SW09.latm = 01.940; 
SW09.lond = 73; 
SW09.lonm = 04.281;
SW09.type = 'Smoor'; 
SW09.name = 'SW09';


% load SW09-SBE39-0320.asc;
S0320 = read_sbe('SW09-SBE39-0320.asc','tp',SW09.name,SW09.Zsens(1));

% load SW09-T2050.asc;
T2050 = read_tpod('SW09-T2050.asc',SW09.name,SW09.Zsens(2));

% load SW09-T2052.asc;
T2052 = read_tpod('SW09-T2052.asc',SW09.name,SW09.Zsens(3)); 

% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S0320.p);
% pdiff = pmean - S0320.dep;
%% S320.dep = pmean;

 
% Use these to sync data...
%% st_date = datenum(2006,7,30,19,20,00);
%% end_date = datenum(2006,9,9,22,20,00);
 
% ndx = find (S320.mday > st_date &  S320.mday < end_date );
% S320.mday = S320.mday(ndx);
% S320.t   = S320.t(ndx);
% S320.p  = S320.p(ndx);
 
% ndx = find (T2050.mday > st_date &  T2050.mday < end_date );
% T2050.mday = T2050.mday(ndx);
% T2050.t   = T2050.t(ndx);
 
% ndx = find (T2052.mday > st_date &  T2052.mday < end_date );
% T2052.mday = T2052.mday(ndx);
% T2052.t   = T2052.t(ndx);S320.mday = datenum(S320.yr,S320.mon,S320.day,S3

% -------------------------------------------------------------------------------
 
save  SW09  SW09 T2052  T2050 S0320;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S0320.mday,S0320.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_0320  Temperature at %6.2fm Z',SW09.type, S0320.moor,S0320.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S0320.mday,S0320.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_0320  Pressure',SW09.type,S0320.moor);
   title(S,'interpreter','none');
   %%%  print -dps -Phpbw

 
  figure(2); clf
  plot(T2050.mday,T2050.t); grid
  datetick; 
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2050  Temperature at %6.2fm Z',SW09.type,T2050.moor,T2050.dep);
  title(S,'interpreter','none');
 
  figure(3); clf
  plot(T2052.mday,T2052.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  xlabel('Date (2006)');
  S = sprintf('%s %s_T2052  Temperature at %6.2fm Z',SW09.type,T2052.moor,T2052.dep);
  title(S,'interpreter','none');
end

% -------------------------------------------------------------------------------


