% -------------------------------------------------------------------
%   load_sw13
%
%    load data from sensors on mooring sw13
%
% SW13	 	85.5	31 jul 23:43	Structure mooring 
%				39 02.0869  73 03.5643 
% SBE39		243	14	SW13-SBE39-0243.dmp
% Mini-T	2089	25	SW13-T2089.dat 
% Mini-T	2036	40	SW13-T2036.dat	
% 
%
% ------------------------------------------------------------------------


plotem = 1;

SW13.Zsens   = [ 14 25 40 ];
SW13.dep  = 85.5;
SW13.latd = 39; 
SW13.latm = 02.0869; 
SW13.lond = 73; 
SW13.lonm = 03.5643;
SW13.type = 'Smoor'; 
SW13.name = 'SW13';
 


% load SW13-SBE39-0243.asc;
S0243 = read_sbe('SW13-SBE39-0243.asc','tp',SW13.name,SW13.Zsens(1));

% load SW13-T2089.asc;
T2089 = read_tpod('SW13-T2089.asc',SW13.name,SW13.Zsens(2));

% load SW13-T2036.asc;
T2036 = read_tpod('SW13-T2036.asc',SW13.name,SW13.Zsens(3));

 
% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S243.p);
% pdiff = pmean - S243.dep;
%% S243.dep = pmean;

% Use these to sync data...
%% st_date = datenum(2006,7,30,19,20,00);
%% end_date = datenum(2006,9,9,22,20,00);
 
% ndx = find (S243.mday > st_date &  S243.mday < end_date );
% S243.mday = S243.mday(ndx);
% S243.t   = S243.t(ndx);
% S243.p  = S243.p(ndx);

% ndx = find (T2089.mday > st_date &  T2089.mday < end_date );
% T2089.mday = T2089.mday(ndx);
% T2089.t   = T2089.t(ndx);

% ndx = find (T2036.mday > st_date &  T2036.mday < end_date );
% T2036.mday = T2036.mday(ndx);
% T2036.t   = T2036.t(ndx);S243.mday = datenum(S243.yr,S243.mon,S243.day,S3


% -------------------------------------------------------------------------------
 
save  SW13  SW13 T2036  T2089 S0243;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S0243.mday,S0243.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_0243  Temperature at %6.2fm Z',SW13.type, S0243.moor,S0243.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S0243.mday,S0243.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_0243  Pressure',SW13.type,S0243.moor);
   title(S,'interpreter','none');
   %%%  print -dps -Phpbw

 
  figure(2); clf
  plot(T2089.mday,T2089.t); grid
  datetick; 
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2089  Temperature at %6.2fm Z',SW13.type,T2089.moor,T2089.dep);
  title(S,'interpreter','none');
 
  figure(3); clf
  plot(T2036.mday,T2036.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  xlabel('Date (2006)');
  S = sprintf('%s %s_T2036  Temperature at %6.2fm Z',SW13.type,T2036.moor,T2036.dep);
  title(S,'interpreter','none');
end
% --------------------------------------------------------------------------


