% -------------------------------------------------------------------
%   load_sw14
%
%    load data from sensors on mooring sw14
%
% SW14			78	01 aug 14:14	Structure mooring	
%					39 01.371  73 03.692
%	SBE39	3076	14	SW14-SBE39-3076.cap
%	Mini-T	2065	25	SW14-T2065.dat
%	Mini-T	2073	40	SW14-T2073.dat
%									
%						
% 
%
% ------------------------------------------------------------------------

plotem = 1;

SW14.Zsens   = [ 14 25 40 ];
SW14.dep  = 78.0;
SW14.latd = 39; 
SW14.latm = 01.371; 
SW14.lond = 73; 
SW14.lonm = 03.692;
SW14.type = 'Smoor'; 
SW14.name = 'SW14';
 
 

% load SW14-SBE39-3076.asc;
S3076 = read_sbe('SW14-SBE39-3076.asc','tp',SW14.name,SW14.Zsens(1));

% load SW14-T2065.asc;
T2065 = read_tpod('SW14-T2065.asc',SW14.name,SW14.Zsens(2));

% load SW14-T2073.asc;
T2073 = read_tpod('SW14-T2073.asc',SW14.name,SW14.Zsens(3));
 

% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S3076.p);
% pdiff = pmean - S3076.dep;
%% S3076.dep = pmean;

% Use these to sync data...
%% st_date = datenum(2006,7,30,19,20,00);
%% end_date = datenum(2006,9,9,22,20,00);

% ndx = find (S3076.mday > st_date &  S3076.mday < end_date );
% S3076.mday = S3076.mday(ndx);
% S3076.t   = S3076.t(ndx);
% S3076.p  = S3076.p(ndx);
 
% ndx = find (T2065.mday > st_date &  T2065.mday < end_date );
% T2065.mday = T2065.mday(ndx);
% T2065.t   = T2065.t(ndx);

% ndx = find (T2073.mday > st_date &  T2073.mday < end_date );
% T2073.mday = T2073.mday(ndx);
% T2073.t   = T2073.t(ndx);S3076.mday = datenum(S3076.yr,S3076.mon,S3076.day,S3


% -------------------------------------------------------------------------------
 
save  SW14  SW14 T2073  T2065 S3076;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S3076.mday,S3076.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_3076  Temperature at %6.2fm Z',SW14.type, S3076.moor,S3076.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S3076.mday,S3076.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_3076  Pressure',SW14.type,S3076.moor);
   title(S,'interpreter','none');
 
  figure(2); clf
  plot(T2065.mday,T2065.t); grid
  datetick; 
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2065  Temperature at %6.2fm Z',SW14.type,T2065.moor,T2065.dep);
  title(S,'interpreter','none');
 
  figure(3); clf
  plot(T2073.mday,T2073.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  xlabel('Date (2006)');
  S = sprintf('%s %s_T2073  Temperature at %6.2fm Z',SW14.type,T2073.moor,T2073.dep);
  title(S,'interpreter','none');
end

% --------------------------------------------------------------------------

