% -------------------------------------------------------------------
%   load_sw16
%
%    load data from sensors on mooring sw16
%
% SW16			85	01 aug 15:36	Structure mooring	
%					39 01.95  73 03.264
%	SBE39	3078	14	SW16-SBE39-3078.cap
%	Mini-T	1992	25	SW16-T1992.dat
%	Mini-T	1993	40	SW16-T1993.dat
%									
%						
% 
%
% ------------------------------------------------------------------------

plotem = 1;

SW16.Zsens   = [ 14 25 40 ];
SW16.dep  = 85;
SW16.latd = 39; 
SW16.latm = 01.95; 
SW16.lond = 73; 
SW16.lonm = 03.264;
SW16.type = 'Smoor'; 
SW16.name = 'SW16';
 

% load SW16-SBE39-3078.asc;
S3078 = read_sbe('SW16-SBE39-3078.asc','tp',SW16.name,SW16.Zsens(1));

% load SW16-T1992.asc;
T1992 = read_tpod('SW16-T1992.asc',SW16.name,SW16.Zsens(2));

% load SW16-T1993.asc;
T1993 = read_tpod('SW16-T1993.asc',SW16.name,SW16.Zsens(3));
 

% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S3078.p);
% pdiff = pmean - S3078.dep;
%% S3078.dep = pmean;

% Use these to sync data...
%% st_date = datenum(2006,7,30,19,20,00);
%% end_date = datenum(2006,9,9,22,20,00);
 
% ndx = find (S3078.mday > st_date &  S3078.mday < end_date );
% S3078.mday = S3078.mday(ndx);
% S3078.t   = S3078.t(ndx);
% S3078.p  = S3078.p(ndx);

% ndx = find (T1992.mday > st_date &  T1992.mday < end_date );
% T1992.mday = T1992.mday(ndx);
% T1992.t   = T1992.t(ndx);

% ndx = find (T1993.mday > st_date &  T1993.mday < end_date );
% T1993.mday = T1993.mday(ndx);
% T1993.t   = T1993.t(ndx);S3078.mday = datenum(S3078.yr,S3078.mon,S3078.day,S3


% -------------------------------------------------------------------------------
 
save  SW16  SW16 T1993  T1992 S3078;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S3078.mday,S3078.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_3078  Temperature at %6.2fm Z',SW16.type, S3078.moor,S3078.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S3078.mday,S3078.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_3078  Pressure',SW16.type,S3078.moor);
   title(S,'interpreter','none');
  
  figure(2); clf
  plot(T1992.mday,T1992.t); grid
  datetick; 
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T1992  Temperature at %6.2fm Z',SW16.type,T1992.moor,T1992.dep);
  title(S,'interpreter','none');
 
  figure(3); clf
  plot(T1993.mday,T1993.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  xlabel('Date (2006)');
  S = sprintf('%s %s_T1993  Temperature at %6.2fm Z',SW16.type,T1993.moor,T1993.dep);
  title(S,'interpreter','none');
end
% --------------------------------------------------------------------------

