% -------------------------------------------------------------------
%   load_SW21
%
%    load data from sensors on mooring SW21 
%
% SW21			78.5	28 jul 19:27	Structure mooring	
%				39 13.184  72 55.315
%	SBE39	3122	14	 SW21-SBE39-3122.cap
%	Mini-T	2007	25	 SW21-T2007.dat
%	Mini-T	2008	40	 SW21-T2008.dat
%					
% 
%
% ------------------------------------------------------------------------

plotem = 1;

SW21.Zsens   = [ 14 25 40 ];
SW21.dep  = 80.5;
SW21.latd = 39; 
SW21.latm = 06.3674; 
SW21.lond = 72; 
SW21.lonm = 59.5731;
SW21.type = 'Smoor'; 
SW21.name = 'SW21';
 

 
%  SBE 3122   -   has temp and pressure
% load SW21-SBE39-3122.asc;
S3122 = read_sbe('SW21-SBE39-3122.asc','tp',SW21.name,SW21.Zsens(1));

% load SW21-T2007.asc;
T2007 = read_tpod('SW21-T2007.asc',SW21.name,SW21.Zsens(2));

% load SW21-T2008.asc;
T2008 = read_tpod('SW21-T2008.asc',SW21.name,SW21.Zsens(3));


% -----------------------------------------
 
% Should we compensate the depths to the mean?
% pmean = mean(S3122.p);
% pdiff = pmean - S3122.dep;
%% S3122.dep = pmean;

% Use these to sync data...
%% st_date = datenum(2008,7,30,19,20,00);
%% end_date = datenum(2008,9,9,22,20,00);

% ndx = find (S3122.mday > st_date &  S3122.mday < end_date );
% S3122.mday = S3122.mday(ndx);
% S3122.t   = S3122.t(ndx);
% S3122.p  = S3122.p(ndx);

% ndx = find (T2007.mday > st_date &  T2007.mday < end_date );
% T2007.mday = T2007.mday(ndx);
% T2007.t   = T2007.t(ndx);

% ndx = find (T2008.mday > st_date &  T2008.mday < end_date );
% T2008.mday = T2008.mday(ndx);
% T2008.t   = T2008.t(ndx);S3122.mday = datenum(S3122.yr,S3122.mon,S3122.day,S3

% -------------------------------------------------------------------------------
 
save  SW21  SW21 T2008  T2007 S3122;

% -------------------------------------------------------------------------------
 
if (plotem)
   figure(1); clf
   subplot(211)
   plot(S3122.mday,S3122.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_3122  Temperature at %6.2fm Z',SW21.type, S3122.moor,S3122.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S3122.mday,S3122.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_3122  Pressure',SW21.type,S3122.moor);
   title(S,'interpreter','none');
 
  figure(2); clf
  plot(T2007.mday,T2007.t); grid
  datetick; 
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2007  Temperature at %6.2fm Z',SW21.type,T2007.moor,T2007.dep);
  title(S,'interpreter','none');
 
  figure(3); clf
  plot(T2008.mday,T2008.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  xlabel('Date (2008)');
  S = sprintf('%s %s_T2008  Temperature at %6.2fm Z',SW21.type,T2008.moor,T2008.dep);
  title(S,'interpreter','none');
end
% -------------------------------------------------------------------------------

