% -------------------------------------------------------------------
%   load_SW32
%
%    load data from sensors on mooring SW32 
%       ignoring adcp data for now...
%    
%
% SW32			81	29 jul 14:28	Env. Mooring	
%						39 05.904  72 59.922
%	Mini-T	2069	1		lost	
%	SBE37	1770	12 - no time		SW32-SBE37-1770.cap
%	SBE39	11	21 			SW32-SBE39-0011.cap
%	SBE37	1137	31 -ends 6 Sept		SW32-SBE37-1137.cap
%	SBE39	12	42	 		SW32-SBE39-0012.cap
%	SBE37	1138	53 -ends 4 Sept		SW32-SBE37-1138.cap
%	SBE39	13	64	 		SW32-SBE39-0013.cap
%                SBE39#13  has bad dates!  fixed!
%	SBE37	1771	75	 		SW32-SBE37-1771.cap
%	ADCP	6999	75	 		SW032000.000 & .001
%				
% 
%   SBE37-1770  has temp, conductivity, and pressure, but NO DATE/TIME 
%   SBE37-1137  has temp and conductivity 
%   SBE37-1138  has temp and conductivity 
%   ALL SBE39's here have temp ONLY 
% 
% ------------------------------------------------------------------------

plotem = 1;

SW32.Zsens   = [1 12 21 31 42 53 64 75 ];
SW32.dep  = 81;
SW32.latd = 39; 
SW32.latm = 05.904; 
SW32.lond = 72; 
SW32.lonm = 59.922;
SW32.type = 'EnvMoor'; 
SW32.name = 'SW32';

 
% SBE37  1770    -   has temp,conductivity and pressure   - HAD NO DATE/TIME
% load SW32-SBE37-1770.asc;
%%%% S1770 = read_sbe('SW32-SBE37-1770.asc','tcp',SW32.name,SW32.Zsens(2));


% SBE39 0011   -   has temp
% load SW32-SBE39-0011.asc;
S0011 = read_sbe('SW32-SBE39-0011.asc','t',SW32.name,SW32.Zsens(3));


% SBE37 1137   -   has temp and conductivity(?)
% load SW32-SBE37-1137.asc;
S1137 = read_sbe('SW32-SBE37-1137.asc','tc',SW32.name,SW32.Zsens(4));


% SBE39 0012   -   has temp
% load SW32-SBE39-0012.asc;
S0012 = read_sbe('SW32-SBE39-0012.asc','t',SW32.name,SW32.Zsens(3));


% SBE37 1138   -   has temp, conductivity 
% load SW32-SBE37-1138.asc;
S1138 = read_sbe('SW32-SBE37-1138.asc','tc',SW32.name,SW32.Zsens(5));


% SBE39 0013   -   has temp    - HAS BAD DATE/TIMES !!
% load SW32-SBE39-0013.asc;
S0013 = read_sbe('SW32-SBE39-0013.asc','t',SW32.name,SW32.Zsens(6));

% SBE37 1771   -   has temp, conductivity and pressure
% load SW32-SBE37-1771.asc;
S1771 = read_sbe('SW32-SBE37-1771.asc','tcp',SW32.name,SW32.Zsens(2));


 

 
% -----------------------------------------
 
% % Should we compensate the depths to the mean?
% % pmean = mean(S1770.p);
% %% pdiff = pmean - S1770.dep;
% %% S1770.dep = pmean;

% Use these to sync data...
%% st_date = datenum(0289,7,30,19,20,00);
%% end_date = datenum(0289,9,9,22,20,00);


% % ndx = find (S1770.mday > st_date &  S1770.mday < end_date );
% % S1770.mday = S1770.mday(ndx);
% % S1770.t   = S1770.t(ndx);
% % S1770.p  = S1770.p(ndx);

 
% ndx = find (S0011.mday > st_date &  S0011.mday < end_date );
% S0011.mday = S0011.mday(ndx);
% S0011.t   = S0011.t(ndx);
% S0011.p  = S0011.p(ndx);

% ndx = find (S1137.mday > st_date &  S1137.mday < end_date );
% S1137.mday = S1137.mday(ndx);
% S1137.t   = S1137.t(ndx);
% S1137.p  = S1137.p(ndx);

% ndx = find (S0012.mday > st_date &  S0012.mday < end_date );
% S0012.mday = S0012.mday(ndx);
% S0012.t   = S0012.t(ndx);
% S0012.p  = S0012.p(ndx);

% ndx = find (S1138.mday > st_date &  S1138.mday < end_date );
% S1138.mday = S1138.mday(ndx);
% S1138.t   = S1138.t(ndx);
% S1138.p  = S1138.p(ndx);

 
% % ndx = find (S0013.mday > st_date &  S0013.mday < end_date );
% % S0013.mday = S0013.mday(ndx);
% % S0013.t   = S0013.t(ndx);
% % S0013.p  = S0013.p(ndx);
 
% ndx = find (S1771.mday > st_date &  S1771.mday < end_date );
% S1771.mday = S1771.mday(ndx);
% S1771.t   = S1771.t(ndx);
% S1771.p  = S1771.p(ndx);

% --------------------------------------------------------------------------
 
   
% save  SW32  SW32 S1770 S0011 S1137 S0012 S1138 S0013 S1771;
save  SW32  SW32 S0011 S1137 S0012 S1138 S1771 S0013;

% -------------------------------------------------------------------------------
 
% if (plotem)
%    figure(1); clf
%    subplot(311)
%    plot(S1770.mday,S1770.t); grid
%    datetick
%    set(gca,'ylim',[5 27]);
%    ylabel('temp (C)');
%    S = sprintf('%s %s_SBE39_1770  Temperature at %6.2fm Z',SW32.type, S1770.moor,S1770.dep);
%    title(S,'interpreter','none');

%    subplot(312)
%    plot(S1770.mday,S1770.p); grid
%    axis('ij');
%    datetick
%    ylabel('Pressure (dbars)'); xlabel('date')
%    S = sprintf('%s %s_SBE39_1770  Pressure',SW32.type,S1770.moor);
%    title(S,'interpreter','none');

%    subplot(313)
%    plot(S1770.mday,S1770.con); grid
%    axis('ij');
%    datetick
%    set(gca,'ylim',[3 6]);
%    ylabel('Conductivity'); xlabel('date')
%    S = sprintf('%s %s_SBE37_1770  Conductivity',SW32.type,S1770.moor);
%    title(S,'interpreter','none');
%    %%%  print -dps -Phpbw

% end


if (plotem)
   figure(2); clf
   plot(S0011.mday,S0011.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_0011  Temperature at %6.2fm Z',SW32.type, S0011.moor,S0011.dep);
   title(S,'interpreter','none');
  
   figure(3); clf
   subplot(211)
   plot(S1137.mday,S1137.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_1137  Temperature at %6.2fm Z',SW32.type, S1137.moor,S1137.dep);
   title(S,'interpreter','none');
 
   
   subplot(212)
   plot(S1137.mday,S1137.con); grid
   axis('ij');
   datetick
   set(gca,'ylim',[3 6]);
   ylabel('Conductivity'); xlabel('date')
   S = sprintf('%s %s_SBE37_1137  Conductivity',SW32.type,S1137.moor);
   title(S,'interpreter','none');
  
   figure(4); clf
   plot(S0012.mday,S0012.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_0012  Temperature at %6.2fm Z',SW32.type, S0012.moor,S0012.dep);
   title(S,'interpreter','none');
 
   figure(5); clf
   subplot(211)
   plot(S1138.mday,S1138.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_1138  Temperature at %6.2fm Z',SW32.type, S1138.moor,S1138.dep);
   title(S,'interpreter','none')

   
   subplot(212)
   plot(S1138.mday,S1138.con); grid
   axis('ij');
   datetick
   set(gca,'ylim',[3 6]);
   ylabel('Conductivity'); xlabel('date')
   S = sprintf('%s %s_SBE37_1138  Conductivity',SW32.type,S1138.moor);
   title(S,'interpreter','none');
   %%%  print -dps -Phpbw
 
    figure(6); clf
    plot(S0013.mday,S0013.t); grid
    datetick
    set(gca,'ylim',[5 27]);
    ylabel('temp (C)');
    S = sprintf('%s %s_SBE39_0013  Temperature at %6.2fm Z',SW32.type, S0013.moor,S0013.dep);
    title(S,'interpreter','none');
 
   figure(7); clf
   subplot(311)
   plot(S1771.mday,S1771.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_1771  Temperature at %6.2fm Z',SW32.type, S1771.moor,S1771.dep);
   title(S,'interpreter','none');
 
   subplot(312)
   plot(S1771.mday,S1771.p); grid
   axis('ij');
   datetick
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_1771  Pressure',SW32.type,S1771.moor);
   title(S,'interpreter','none');

   
   subplot(313)
   plot(S1771.mday,S1771.con); grid
   axis('ij');
   datetick
   set(gca,'ylim',[3 6]);
   ylabel('Conductivity'); xlabel('date')
   S = sprintf('%s %s_SBE37_1771  Conductivity',SW32.type,S1771.moor);
   title(S,'interpreter','none');
   %%%  print -dps -Phpbw
end
 
% --------------------------------------------------------------------------------------------
