% -------------------------------------------------------------------
%   load_SW41
%
%    load data from sensors on mooring SW41
%
% SW41			114	26 jul 21:59	OSU Mooring	
%					38 56.6108  72 53.1865
%	Mini-T	250	1 	SW41-T0250.dat
%
%
%
% ------------------------------------------------------------------------

plotem = 1;
 
SW41.Zsens   = [ 1 ];
SW41.dep  = 114;
SW41.latd = 38; 
SW41.latm = 56.6108; 
SW41.lond = 72; 
SW41.lonm = 53.1865;
SW41.type = 'OSUmoor';
SW41.name = 'SW41';
 

 
% load SW41-T0250.asc;
T0250 = read_tpod('SW41-T0250.asc',SW41.name,SW41.Zsens(1));

 

% ---------------------------------------------------------------------

% Use these to sync data... 
%%  st_date = datenum(2006,7,28,19,40,00);
%% end_date = datenum(2006,9,20,9,30,00);
 
% -------------------------------------------------------------------------------

save  SW41  SW41 T0250 ;

% -------------------------------------------------------------------------------
  
 
if (plotem) 
  figure(1); clf
  plot(T0250.mday,T0250.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0250  Temperature at %6.2fm Z',SW41.type,T0250.moor,T0250.dep);
  title(S,'interpreter','none');
 
end


