% -------------------------------------------------------------------
%   load_SW44
%
%    load data from sensors on mooring SW44
%
% SW44			79	28 jul 12:55	MSM source	
%				39 10.8708  72 57.0387
%	Mini-T	2099	75	 SW44-T2099.dat
%		2098	1	 SW44-T2098.dat
%
%
%
% ------------------------------------------------------------------------

plotem = 1;

SW44.Zsens   = [ 1 75 ];
SW44.dep  = 79;
SW44.latd = 39; 
SW44.latm = 10.8708; 
SW44.lond = 72; 
SW44.lonm = 57.0387;
SW44.type = 'MSM';
SW44.name = 'SW44 - MSM';

 
% load SW44-T2098.asc;
T2098 = read_tpod('SW44-T2098.asc',SW44.name,SW44.Zsens(1));


% load SW44-T2099.asc;
T2099 = read_tpod('SW44-T2099.asc',SW44.name,SW44.Zsens(2));

  
% --------------------------------------------------------------------------

% Use these to sync data... 
%%  st_date = datenum(2006,7,28,19,40,00);
%% end_date = datenum(2006,9,20,9,30,00);

% ndx = find (T2098.mday > st_date &  T2098.mday < end_date );
% T2098.mday = T2098.mday(ndx);
% T2098.t   = T2098.t(ndx);
 
% ndx = find (T2099.mday > st_date &  T2099.mday < end_date );
% T2099.mday = T2099.mday(ndx);
% T2099.t   = T2099.t(ndx);

% -------------------------------------------------------------------------------

save  SW44  SW44 T2098 T2099  ;

% -------------------------------------------------------------------------------
 

if (plotem) 
  figure(1); clf
  plot(T2098.mday,T2098.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2098  Temperature at %6.2fm Z',SW44.type,T2098.moor,T2098.dep);
  title(S,'interpreter','none');
 
  figure(2); clf
  plot(T2099.mday,T2099.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2099  Temperature at %6.2fm Z',SW44.type,T2099.moor,T2099.dep);
  title(S,'interpreter','none');
 
end



