% -------------------------------------------------------------------
%   load_SW45
%
%    load data from sensors on mooring SW45
%
% SW45			82.5	28 jul 15:26	NRL 300Hz source	
%					39 10.9574  72 56.575
%	Mini-T	2078	1	lost		
%	SBE-39	3130	15	 SW45-SBE39-3130.cap
%	Mini-T	2079	20	 SW45-T2079.dat
%	Mini-T	2080	25	 SW45-T2080.dat
%	Mini-T	2081	30	 SW45-T2081.dat
%	Mini-T	2083	35	 SW45-T2083.dat
%	Mini-T	2084	40	 SW45-T2084.dat
%	Mini-T	2085	45	 SW45-T2085.dat
%	Mini-T	2091	50	 SW45-T2091.dat
%	Mini-T	2092	60	 SW45-T2092.dat
%	Mini-T	2093	68	 SW45-T2093.dat
%	Mini-T	2100	72	 SW45-T2100.dat
%
%
%
% ------------------------------------------------------------------------

plotem = 1;

SW45.Zsens   = [ 15 20 25 30 35 40 45 50 60 68 72];
SW45.dep  = 82.5;
SW45.latd = 39; 
SW45.latm = 10.9574; 
SW45.lond = 72; 
SW45.lonm = 56.575;
SW45.type = 'NRL 300Hz ';
SW45.name = 'SW45 NRL300';


% SBE39 3130   -   has temp , pressure
% load SW45-SBE39-3130.asc
S3130 = read_sbe('SW45-SBE39-3130.asc','tp',SW45.name,SW45.Zsens(1));


% load SW45-T2079.asc;
T2079 = read_tpod('SW45-T2079.asc',SW45.name,SW45.Zsens(2));


load SW45-T2080.asc;
T2080 = read_tpod('SW45-T2080.asc',SW45.name,SW45.Zsens(3));


load SW45-T2081.asc;
T2081 = read_tpod('SW45-T2081.asc',SW45.name,SW45.Zsens(4));


load SW45-T2083.asc;
T2083 = read_tpod('SW45-T2083.asc',SW45.name,SW45.Zsens(5));


load SW45-T2084.asc;
T2084 = read_tpod('SW45-T2084.asc',SW45.name,SW45.Zsens(6));


load SW45-T2085.asc;
T2085 = read_tpod('SW45-T2085.asc',SW45.name,SW45.Zsens(7));


load SW45-T2091.asc;
T2091 = read_tpod('SW45-T2091.asc',SW45.name,SW45.Zsens(8));


load SW45-T2092.asc;
T2092 = read_tpod('SW45-T2092.asc',SW45.name,SW45.Zsens(9));


load SW45-T2093.asc;
T2093 = read_tpod('SW45-T2093.asc',SW45.name,SW45.Zsens(10));


load SW45-T2100.asc;
T2100 = read_tpod('SW45-T2100.asc',SW45.name,SW45.Zsens(11));



% -----------------------------------------

% Should we compensate the depths to the mean?
% pmean = mean(S3130.p);
% pdiff = pmean - S3130.dep;
%% S3130.dep = pmean;

% Use these to sync data... 
%%  st_date = datenum(2006,7,28,19,40,00);
%% end_date = datenum(2006,9,20,9,30,00);
 
% ndx = find (S3130.mday > st_date &  S3130.mday < end_date );
% S3130.mday = S3130.mday(ndx);
% S3130.t   = S3130.t(ndx);
% S3130.p  = S3130.p(ndx);

% ndx = find (T2079.mday > st_date &  T2079.mday < end_date );
% T2079.mday = T2079.mday(ndx);
% T2079.t   = T2079.t(ndx);

% ndx = find (T2080.mday > st_date &  T2080.mday < end_date );
% T2080.mday = T2080.mday(ndx);
% T2080.t   = T2080.t(ndx);

% ndx = find (T2081.mday > st_date &  T2081.mday < end_date );
% T2081.mday = T2081.mday(ndx);
% T2081.t   = T2081.t(ndx);
 
% ndx = find (T2083.mday > st_date &  T2083.mday < end_date );
% T2083.mday = T2083.mday(ndx);
% T2083.t   = T2083.t(ndx);
 
% ndx = find (T2084.mday > st_date &  T2084.mday < end_date );
% T2084.mday = T2084.mday(ndx);
% T2084.t   = T2084.t(ndx);

% ndx = find (T2085.mday > st_date &  T2085.mday < end_date );
% T2085.mday = T2085.mday(ndx);
% T2085.t   = T2085.t(ndx);
 
% ndx = find (T2091.mday > st_date &  T2091.mday < end_date );
% T2091.mday = T2091.mday(ndx);
% T2091.t   = T2091.t(ndx);

% ndx = find (T2092.mday > st_date &  T2092.mday < end_date );
% T2092.mday = T2092.mday(ndx);
% T2092.t   = T2092.t(ndx);

% ndx = find (T2093.mday > st_date &  T2093.mday < end_date );
% T2093.mday = T2093.mday(ndx);
% T2093.t   = T2093.t(ndx);

% ndx = find (T2100.mday > st_date &  T2100.mday < end_date );
% T2100.mday = T2100.mday(ndx);
% T2100.t   = T2100.t(ndx);


% -------------------------------------------------------------------------------

save  SW45  SW45 T2079 T2080 T2081 T2083 T2084 T2085 T2091 T2092 T2093 T2100 S3130 ;
 
% -------------------------------------------------------------------------------
 

if (plotem)
   figure(1); clf
   subplot(211)
   plot(S3130.mday,S3130.t); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('temp (C)');
   S = sprintf('%s %s_SBE39_3130  Temperature at %6.2fm Z',SW45.type, S3130.moor,S3130.dep);
   title(S,'interpreter','none');

   subplot(212)
   plot(S3130.mday,S3130.p); grid
   datetick
   set(gca,'ylim',[5 27]);
   ylabel('Pressure (dbars)'); xlabel('date')
   S = sprintf('%s %s_SBE39_3130  Pressure',SW45.type,S3130.moor);
   title(S,'interpreter','none');
 
  figure(2); clf
  plot(T2079.mday,T2079.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2079  Temperature at %6.2fm Z',SW45.type,T2079.moor,T2079.dep);
  title(S,'interpreter','none');
  
  figure(3); clf
  plot(T2080.mday,T2080.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2080  Temperature at %6.2fm Z',SW45.type,T2080.moor,T2080.dep);
  title(S,'interpreter','none');
  
  figure(4); clf
  plot(T2081.mday,T2081.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2081  Temperature at %6.2fm Z',SW45.type,T2081.moor,T2081.dep);
  title(S,'interpreter','none');
  
  figure(5); clf
  plot(T2083.mday,T2083.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2083  Temperature at %6.2fm Z',SW45.type,T2083.moor,T2083.dep);
  title(S,'interpreter','none');
 
  figure(6); clf
  plot(T2084.mday,T2084.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2084  Temperature at %6.2fm Z',SW45.type,T2084.moor,T2084.dep);
  title(S,'interpreter','none');
 
 
  figure(7); clf
  plot(T2085.mday,T2085.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2085  Temperature at %6.2fm Z',SW45.type,T2085.moor,T2085.dep);
  title(S,'interpreter','none');
  
  figure(8); clf
  plot(T2091.mday,T2091.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2091  Temperature at %6.2fm Z',SW45.type,T2091.moor,T2091.dep);
  title(S,'interpreter','none');
  
  figure(9); clf
  plot(T2092.mday,T2092.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2092  Temperature at %6.2fm Z',SW45.type,T2092.moor,T2092.dep);
  title(S,'interpreter','none');
  
  figure(10); clf
  plot(T2093.mday,T2093.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2093  Temperature at %6.2fm Z',SW45.type,T2093.moor,T2093.dep);
  title(S,'interpreter','none');
  
  figure(11); clf
  plot(T2100.mday,T2100.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T2100  Temperature at %6.2fm Z',SW45.type,T2100.moor,T2100.dep);
  title(S,'interpreter','none');
 
end
% -------------------------------------------------------------------------------------
