% -------------------------------------------------------------------
%   load_SW46
%
%    load data from sensors on mooring SW46
%
% SW46			84	28 jul 17:24	NRL 500Hz source	
%				39 10.587  72 56.458
%	Mini-T	274	74.5	 	Time, data suspect	SW46-T0274.dat
%
%
%   Data and time is suspect....
%     May not be usable
%
% ------------------------------------------------------------------------

plotem = 1;
  
SW46.Zsens   = [ 74.5 ];
SW46.dep  = 84;
SW46.latd = 39; 
SW46.latm = 10.587; 
SW46.lond = 72; 
SW46.lonm = 56.458;
SW46.type = 'NRL 500Hz ';
SW46.name = 'SW46 - NRL500';
 
% load SW46-T0274.asc;
T0274 = read_tpod('SW46-T0274.asc',SW46.name,SW46.Zsens(1));


% --------------------------------------------------------------------------


% Use these to sync data... 
%%  st_date = datenum(2006,7,28,19,40,00);
%% end_date = datenum(2006,9,20,9,30,00);
 
  
% -------------------------------------------------------------------------------

save  SW46  SW46 T0274 ;

% -------------------------------------------------------------------------------
 

if (plotem) 
  figure(1); clf
  plot(T0274.mday,T0274.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0274  Temperature at %6.2fm Z',SW46.type,T0274.moor,T0274.dep);
  title(S,'interpreter','none');
 
end




