% -------------------------------------------------------------------
%   load_SW48
%
%    load data from sensors on mooring SW48
%
% SW48			58	30 jul 23:12	WHOI 400Hz source	
%				39 09.442  73 21.3463
% 	Mini-T	271	50		SW48-T0271.dat 
%
%
%
% ------------------------------------------------------------------------

plotem = 1;
  
SW48.Zsens   = [ 50];
SW48.dep  = 58;
SW48.latd = 39; 
SW48.latm = 09.442; 
SW48.lond = 73; 
SW48.lonm = 21.3463;
SW48.type = 'WHOI 400Hz ';
SW48.name = 'WHOI400';

 
% load SW48-T0271.asc;
T0271 = read_tpod('SW48-T0271.asc',SW48.name,SW48.Zsens(1));


% --------------------------------------------------------------------------

% Use these to sync data... 
%%  st_date = datenum(2006,7,28,19,40,00);
%% end_date = datenum(2006,9,20,9,30,00);
  
% -------------------------------------------------------------------------------

save  SW48  SW48 T0271 ;

% -------------------------------------------------------------------------------
 

if (plotem) 
  figure(1); clf
  plot(T0271.mday,T0271.t); grid
  datetick
  set(gca,'ylim',[6 28]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0271  Temperature at %6.2fm Z',SW48.type,T0271.moor,T0271.dep);
  title(S,'interpreter','none');
 
end



