% -------------------------------------------------------------------
%   load_SW49
%
%    load data from sensors on mooring SW49
%
% SW49			65	29 jul 19:50	SHRU #5	
%					39 05.548  73 13.022
%	Mini-T	267	61	Lost and found	Good - sept 2	SW49-T0267.dat
%
%
% ------------------------------------------------------------------------

plotem = 1;
  
SW49.Zsens   = [ 61 ];
SW49.dep  = 65;
SW49.latd = 39; 
SW49.latm = 05.548; 
SW49.lond = 73; 
SW49.lonm = 13.022;
SW49.type = 'SHRU #5';
SW49.name = 'SHRU5';

 
% load SW49-T0267.asc;
T0267 = read_tpod('SW49-T0267.asc',SW49.name,SW49.Zsens(1));


% --------------------------------------------------------------------------

% Use these to sync data... 
st_date = datenum(2006,7,28,19,40,00);
end_date = datenum(2006,9,20,9,30,00);
  

ndx = find (T0267.mday > st_date &  T0267.mday < end_date );
% T0267.mday = T0267.mday(ndx);
% T0267.t   = T0267.t(ndx);
 
% -------------------------------------------------------------------------------

save  SW49  SW49 T0267 ;

% -------------------------------------------------------------------------------
 
if (plotem) 
  figure(1); clf
  plot(T0267.mday,T0267.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0267  Temperature at %6.2fm Z',SW49.type,T0267.moor,T0267.dep);
  title(S,'interpreter','none');
 
  %  zoom in a little
  figure(2); clf
  plot(T0267.mday(ndx),T0267.t(ndx)); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0267  Temperature at %6.2fm Z',SW49.type,T0267.moor,T0267.dep);
  title(S,'interpreter','none');

end


if (plotem) 
  figure(1); clf
  plot(T0267.mday,T0267.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0267  Temperature at %6.2fm Z',SW49.type,T0267.moor,T0267.dep);
  title(S,'interpreter','none');
 
  %  zoom in a little
  figure(2); clf
  plot(T0267.mday(ndx),T0267.t(ndx)); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0267  Temperature at %6.2fm Z',SW49.type,T0267.moor,T0267.dep);
  title(S,'interpreter','none');

end




