% -------------------------------------------------------------------
%   load_SW50
%
%    load data from sensors on mooring SW50
%
% SW50			67	29 jul 17:28	SHRU #04	
%					39 03.391  73 08.214
%	Mini-T	266	63		SW50-T0266.dat
%
%
%
% ------------------------------------------------------------------------

plotem = 1;
  
SW50.Zsens   = [ 63 ];
SW50.dep  = 67;
SW50.latd = 39; 
SW50.latm = 03.391; 
SW50.lond = 73; 
SW50.lonm = 08.214;
SW50.type = 'SHRU #4';
SW50.name = 'SHRU4';

 
% load SW50-T0266.asc;
T0266 = read_tpod('SW50-T0266.asc',SW50.name,SW50.Zsens(1));


% --------------------------------------------------------------------------
% Use these to sync data... 
% st_date = datenum(2006,7,28,19,40,00);
% end_date = datenum(2006,9,20,9,30,00);

% ndx = find (T0266.mday > st_date &  T0266.mday < end_date );
% T0266.mday = T0266.mday(ndx);
% T0266.t   = T0266.t(ndx);
 
% -------------------------------------------------------------------------------

save  SW50  SW50 T0266 ;

% -------------------------------------------------------------------------------
 

if (plotem) 
  figure(1); clf
  plot(T0266.mday,T0266.t); grid
  datetick
  set(gca,'ylim',[5 27]);
  ylabel('temp (C)');
  S = sprintf('%s %s_T0266  Temperature at %6.2fm Z',SW50.type,T0266.moor,T0266.dep);
  title(S,'interpreter','none');
 
end

% ---------------------------------------------------------------------------------


