% -----------------------------------------------------------------
%     plot_sw33
%
%   this mooring isnorht, along shelf path of the MSM and NRL sources
%
%
%    SW33			80	28 jul 20:29	Env. Mooring	
%					     39 12.290  72 54.705
%	Mini-T	2070	  1		lost	
%	SBE37	400	     12	 -ends 29 Aug	SW33-SBE37-0400.cap
%	SBE39	14	      21	  -ends 2 Sept	SW33-SBE39-0014.cap
%	SBE37	1139    31	 -ends 6 Sept	SW33-SBE37-1139.cap
%	SBE39	16	      42	-0-	no data	SW33-SBE39-0016.cap
%	SBE37	1140	53	  -ends 6 Sept	SW33-SBE37-1140.cap
%	SBE39	17	      64	 		SW33-SBE39-0017.cap
%	SBE37	404   	 75	  -ends 29 Aug	SW33-SBE37-0404.cap
%	ADCP	705	     75	 		SW033000.000 & .001
%	Mini-T	2075   77.5	 		SW33-T2075.dat
%
% 
%   SBE37 0400 and 0404 have temp, conductivity, and pressure
%   SBE37 1139 and 1140 have temp and conductivity 
%   All SBE39's have temperature only
%        SBE39 #0016 has no data
%
% ---------------------------------------------------------------------


load SW33


% For entire deployment
sdate = datenum(2006,07,29,12,0,0);
edate = datenum(2006,08,29,00,0,0);

% for MSM continuous transmission only
% sdate = datenum(2006,07,28,12,0,0);
% edate = datenum(2006,07,31,0,0,0);

s_inc = datenum(2006,07,29,12,0,0);
e_inc = datenum(2006,07,29,12,1,0);

  Tinc = (edate-sdate)/(24*60);
  Tnew = sdate:Tinc:edate;

 
t2075.t = linterp(T2075.mday,T2075.t,Tnew);
s0014.t = linterp(S0014.mday,S0014.t,Tnew);
s0017.t = linterp(S0017.mday,S0017.t,Tnew);
s0400.t = linterp(S0400.mday,S0400.t,Tnew);
s0404.t = linterp(S0404.mday,S0404.t,Tnew);
s1139.t = linterp(S1139.mday,S1139.t,Tnew);
s1140.t = linterp(S1140.mday,S1140.t,Tnew);

 temp = [s0400.t; s0014.t; s1139.t ; s1140.t; s0017.t; s0404.t; t2075.t];
  Z = SW33.Zsens([ 2 3 4  6 7 8  10 ]);
  
  
  T33 = Tnew;
  temp33 = temp;
  Z33 = Z;

 % save sw33_temp  temp33 Z33 T33 
  
 % ------------------------------------------------------
  % can just start here and load   sw33_temp

  figure(1); clf; set(1,'renderer','zbuffer');

  pcolor(Tnew,Z,temp); shading('interp'); axis('ij'); datetick
  set(gca,'xlim',[Tnew(1) Tnew(end)]);
  
  caxis([8 28])

  hcb = colorbar;
  o_pos = get(gca,'position');
  set(hcb,'position',[.83 .11 .03 .4]);
  set(gca,'position',o_pos);

  set(get(hcb,'title'), 'string','Temp ^oC');
  ylabel('Depth (m)');  xlabel('Date 2006 (GMT)');
  title('Temperature  at SW33');
  
  % -----------------------------------------------------------

