#!/usr/bin/perl
# --------------------------------------------------------
#  sbe39_2mat.plx
#  
#  Routine to convert SBE39 captures (.cap files) data to 
#    something that matlab can easily read
#
#   Usage:  sbe39_2mat.plx  FileName  > OutFileName
#
# ---------------------------------------------------------

die "Usage: $0  FileName  > OutFileName\n"  unless (@ARGV);


while ($line = <>) {

   if  ($line =~ /^\s*\d/) {        # data line
 
         $line =~ tr/,:/ /;        # change commas, colons to space
         $line =~ s/Jul/7/;       # change string Jul to number 7
         $line =~ s/Aug/8/;       # change string Aug to number 8        
         $line =~ s/Sep/9/;       # change string Sep to number 9

         $line =~ s/(\d)\-(\d)/$1 $2/g;   # change -'s between digits (data)

    } else {                        # header info

          $line =~ s/^/% /;          # add matlab comment to beginning of line
    }

    print $line;

}

# --------------------------------------------------------------------   
