% envONE.m

% Y and Z make up the computation grid;
% Z is symmetric to enable image source

% sidestep=   ;  % number of grid points to move cwb over in each dx step
%
% very wide  vw

gridystep=Y(15,4)-Y(15,3);
solitonanglephi=atan(gridystep*sidestep/steplength);
disp(['wave angle phi = ' num2str(solitonanglephi*180/pi) ])

solplacestep=120;  %  x-step where soliton is centered in domain
solplacemeters=solplacestep*steplength;

waveorigin=-(solplacestep *sidestep*gridystep)

Lkdv1=95; eta01=10; y01=waveorigin;  L1=Lkdv1/cos(solitonanglephi);
Lkdv2=95; eta02=0; y02=150;  L2=Lkdv2/cos(solitonanglephi);   % Lkdv/L = cos(phi)

%yin=1.1*[-wid/2:2:wid/2];
%zin=yin/aspect;
%[YY,ZZ]=meshgrid(yin,zin);  %depth changes with row, y changes with column ...

ymult=3; % y-domain multiplier
if( abs(waveorigin) > .8*max(max(Y)) )    
    yin=[ (waveorigin*ymult):gridystep:(-waveorigin*ymult)];  %vw
else
    yin=[ (ymult*Y(15,1)):gridystep:(Y(15,1)*-ymult)];  %vw
end
yins=[yin(1) yin(end) min(abs(yin)) ]
nyw=length(yin); Y2=ones(nz,1)*yin;
zgr=Z(:,1);
zin=[ min(Z(:,1))*1.1 ; zgr ; max(Z(:,1))*1.1]';

bthick =(max(Z(:))-dep)*1.1;
li=ones(size(yin));
bo=zin(min(find(zin > dep)));
wlast=zin(max(find(zin < dep)));

w1=eta01*(sech((yin-y01)/L1)).^2; w2=eta02*(sech((yin-y02)/L2)).^2;
eta=w1+w2;

cb1=1650;  bcgr=1;   
cb2= cb1+bcgr*bthick;
cwb1=[ 1522 1520 1484 1481  cb1 cb2  ]'*li;
zwb1=[ 0*li ; 15*li+eta ;30*li+eta   ; wlast*li ; bo*li;  (bo+bthick)*li  ] ;
cwb= [flipud(cwb1) ; cwb1] ; [ro,co]=size(cwb); cwb(ro/2,:)=[]; 
zwb= [flipud(zwb1) ; -zwb1] ; [ro,co]=size(zwb); zwb(ro/2,:)=[]; 
ywb=ones(ro-1,1)*yin;
%cin=interp2(ywb,zwb,cwb,YY,ZZ);  % this only works for flat layering, no waves....
cin=0*Y2; 
for ii=1:nyw
    cin(:,ii)=interp1(zwb(:,ii),cwb(:,ii),zgr,'linear');
end  
   
clear Y2

bot= find(abs(Z) > dep);
loss= (-.1) ; % db/lambda
fracperlamb= 10^(loss/20);
attb=fracperlamb.^(steplength/lambda);
attbo=ones(size(Z));
attbo(bot)=attb;
