% 3d PE
%
% For propagation on the continental shelf
%
% Sets up and runs propagation code contained in a function.
% The function executes an m-file named here that creates the environment
%  

clear ;  close all

rrange= 1500 ;  %  range to propagate in meters. The final range may be different because of
             % the step length ...

Envfile='envONE'   % name of mfile to generate environment
sidestep=1;   % number of y-intervals to shift y-wavefield per x step  
outdir='/home/salsa/timd/PE3d/Shelf/testout/';  

f0 = 400 ; % Hz
zs=40;   % source depth

c0 = 1500;   lambda0=c0/f0;

nz=2^10;             % nz x nz fft's ; domain size
wid=lambda0 * 300 ;  % horizontal width
dep=80;              % depth
aspect=4;            % aspect ratio of domain, y-range/z-range=aspect. There is a z image space.

steplamb=2  ; 
steplength=steplamb*lambda0;

numstep=round(rrange/steplength) 
range=steplength*numstep      

freqs=[ f0 ];

for freq=freqs
  tic 
  freq
  
% propagate x direction
      
  x=0;
  [psifinal,x,y,z,M,psi1] = propWAPErev5(nz,numstep,freq,c0,Envfile,wid,steplength,aspect,dep,zs,sidestep);
   
  anorm1=max(max(abs(psi1)));
  anormfin=max(max(abs(psifinal)));

  figure ;
  subplot(211)
  finaldb=20*log10(abs(psifinal(:,:,end)/anorm1));
  finlin=abs(psifinal(:,:,end));
  wat=find( z > -(dep+5) & z < .5);
  %pcolor(y(1:2:end),z(wat),finlin(wat,1:2:end));shading flat
  pcolor(y(1:2:end),z(wat),finaldb(wat,1:2:end));shading flat
  caxis(max(finaldb(:))+[-20 0])
  title('|\psi_{final}| (dB)')
  ylabel('depth (m)')
  xlabel('distance (m)')
  %caxis([ max(finaldb(:))-40 max(finaldb(:))+2])
  % axis equal
  colorbar
  subplot(212)
  %figure(2); clf
  pcolor( y(1:2:end),z(wat),angle(psifinal(wat,1:2:end,end)) ) ;shading flat
  title('phase angle \psi_{final}')
  ylabel('depth (m)')
  xlabel('distance (m)')
  %axis equal
  colorbar
  pause(4)

  % eval([ 'save ' outdir 'psi' num2str(freq) ' y z x psifinal psi1 freq c0 range steplength -V6' ])

  toc
end  % freq loop

 % save 20kmC z x y psi1 psifinal freq dep zs cin zin yin f0 c0 aspect
 
 clear finlin finaldb

 save 10kmG
 
